%define oname xfce4-sensors-plugin

Summary:	Sensor plugin for the Xfce panel
Name:		xfce-sensors-plugin
Version:	0.10.0
Release:	%mkrel 2
License:	BSD
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-sensors-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-sensors-plugin/xfce4-sensors-plugin-%{version}.tar.bz2
Patch1:		xfce4-sensors-plugin-0.8.99-command.patch
Requires:	xfce-panel >= 4.3.0
Requires:	lm_sensors
BuildRequires:	xfce-panel-devel >= 4.3.0
BuildRequires:	libxfcegui4-devel >= 4.3.0 
BuildRequires:	lm_sensors-devel
BuildRequires:	perl(XML::Parser)
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A panel plugin for the Xfce panel.
It reads your hardware sensor values and displays them in your panel.

%prep
%setup -qn %{oname}-%{version}
%patch1 -p1 -b .command

%build 
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std 

%find_lang %{oname}

%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%{_libdir}/xfce4/panel-plugins/*
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Fri May 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-2mdv2007.1
+ Revision: 31036
- add %%post and %%postun scripts

* Thu May 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-2mdv2008.0
+ Revision: 30478
- update url
- spec file clean

* Wed May 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.0-1mdv2008.0
+ Revision: 30254
- new version


* Fri Dec 29 2006 Jérôme Soyer <saispo@mandriva.org> 0.9.0-4mdv2007.0
+ Revision: 102523
- Rebuild for latest xfce

* Thu Oct 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.0-3mdv2007.0
+ Revision: 70878
- Add BuildRequires
- import xfce-sensors-plugin-0.9.0-2mdv2007.0

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.0-2mdv2007.0
- rebuild for xfce-4.3.90.2

* Sat Jun 24 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.0-1mdv2007.0
- 0.9.0
- mkrel
- BR

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 0.8.99-0.20060211.1mdk
- 0.8.99 from svn 20060211
- buildrequire new panel >= 4.3.0
- rediff P1
- update filelist

* Fri Sep 16 2005 Marcel Pol <mpol@mandriva.org> 0.7.0-1mdk
- 0.7.0
- rediff P1

* Fri Sep 16 2005 Marcel Pol <mpol@mandriva.org> 0.5.1-2mdk
- Patch1: use sensors command, partially fixes #18563
- fix license: GPL, not BSD

* Thu Jul 28 2005 Marcel Pol <mpol@mandrake.org> 0.5.1-1mdk
- 0.5.1
- don't run libtoolize
- add locale files

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.3.0-2mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Mon Dec 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.3.0-1mdk
- 1st Mdk release

